Bug 1125795 (CVE-2014-3573) - CVE-2014-3573 oVirt Engine: XML eXternal Entity (XXE) flaw in backend module
Summary: CVE-2014-3573 oVirt Engine: XML eXternal Entity (XXE) flaw in backend module
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-3573
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140904,repor...
Depends On: 1125802 1125803
Blocks: 1125797
TreeView+ depends on / blocked
 
Reported: 2014-08-01 04:55 UTC by Arun Babu Neelicattu
Modified: 2019-06-08 20:08 UTC (History)
25 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that, when loading XML/RSDL documents, the oVirt Engine back end module used an insecure DocumentBuilderFactory. A remote, authenticated attacker could use this flaw to read files accessible to the user running the ovirt-engine server, and potentially perform other more advanced XML External Entity (XXE) attacks.
Clone Of:
Environment:
Last Closed: 2014-09-04 15:31:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1161 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.2 update 2014-09-04 19:09:32 UTC

Description Arun Babu Neelicattu 2014-08-01 04:55:55 UTC
IssueDescription:

It was discovered that, when loading XML/RSDL documents, the oVirt Engine back end module used an insecure DocumentBuilderFactory. A remote, authenticated attacker could use this flaw to read files accessible to the user running the ovirt-engine server, and potentially perform other more advanced XML External Entity (XXE) attacks.

Comment 2 Murray McAllister 2014-08-01 06:05:12 UTC
Acknowledgements:

This issue was discovered by Arun Babu Neelicattu of Red Hat Product Security.

Comment 5 errata-xmlrpc 2014-09-04 15:10:09 UTC
This issue has been addressed in following products:

  RHEV Manager version 3.4

Via RHSA-2014:1161 https://rhn.redhat.com/errata/RHSA-2014-1161.html


Note You need to log in before you can comment on or make changes to this bug.